import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { HelloComponent } from './hello.component';

import { SideNavModule } from './sidenav/sidenav.module'
import { AppRoutingModule } from './routing.module';

@NgModule({
  imports:      [ BrowserModule, FormsModule, SideNavModule, AppRoutingModule ],
  declarations: [ AppComponent, HelloComponent ],
  bootstrap:    [ AppComponent ]
})
export class AppModule { }
