import { Component, OnInit, HostBinding, Input } from '@angular/core';

@Component({
  selector: 'sidenav-container',
  template: '<ng-content></ng-content>'
})
export class SidenavContainerComponent {
  @HostBinding('class')
  private get className() {
    return ['sidenav-container', this.dir, this.mode].join(' ');
  }
  
  @Input()
  public dir : string = 'left'

  @Input()
  public mode : string = 'hover';
}
