import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SidenavContainerComponent } from './sidenav-container/sidenav-container.component';
import { SidenavContentComponent } from './sidenav-content/sidenav-content.component';
import { SidenavDrawerComponent } from './sidenav-drawer/sidenav-drawer.component';
import { SidenavDrawerItemComponent } from './sidenav-drawer-item/sidenav-drawer-item.component';
import { SidenavService } from './sidenav.service';
import { AppRoutingModule } from '../routing.module';

@NgModule({
	imports: [
		CommonModule,
		AppRoutingModule
	],
	declarations: [
		SidenavContainerComponent,
		SidenavContentComponent,
		SidenavDrawerComponent,
		SidenavDrawerItemComponent
	],
	exports: [
		SidenavContainerComponent,
		SidenavContentComponent,
		SidenavDrawerComponent,
		SidenavDrawerItemComponent
	], 
	providers: [SidenavService]
})
export class SideNavModule { }
